Package org.h2gis.functions.spatial.convert

## Class ST_AsBinary

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_AsBinary

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_AsBinary
    extends org.h2gis.api.DeterministicScalarFunction

Convert a geometry into Well Known Binary..

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_AsBinary()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static byte[]` `toBytes​(org.h2.value.Value value)` Convert a geometry into a binary value.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_AsBinary

    public ST_AsBinary()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### toBytes

    public static byte[] toBytes​(org.h2.value.Value value)

Convert a geometry into a binary value.

Parameters:
  `value` - Value (which should be a `ValueGeometry` instance)
Returns:
  Well Known Binary